# Get contracts

Retrieve a list of contracts

Endpoint: GET /v2/contracts

## Query parameters:

  - `$filter` (string)
    Filter the results using OData filter syntax

  - `$orderby` (string)
    Order the results using OData orderby syntax

  - `$skip` (integer)
    Skip the specified number of results

  - `$top` (integer)
    Limit the number of results returned

## Response 200 fields (application/json):

  - `items` (array)
    The collection of items

  - `items.id` (integer)
    The system identifier for the contract
    Example: 5348

  - `items.name` (string)
    The user defined name of the contract
    Example: My contract

  - `items.document` (object)
    The contract document

  - `items.document.id` (integer)
    The system identifier for the file
    Example: 9456

  - `items.document.name` (string)
    The user defined name of the file resource
For file resources with a type of file this includes the file extension
    Example: Standard NDA.docx

  - `items.document.version` (integer)
    The version of the file
    Example: 3

  - `items.type` (object)
    The type of the contract

  - `items.type.id` (integer)
    The system identifier for the contract type
    Example: 1234

  - `items.type.name` (string)
    The user defined name of the contract type
    Example: Contractor Agreement

  - `items.owner` (object)
    The user assigned as the owner of the contract

  - `items.owner.email` (string)
    The email address of the user
    Example: api.developer@lawvu.com

  - `items.owner.firstName` (string)
    The first name of the user
    Example: Api

  - `items.owner.id` (string)
    The unique identifier of the user
    Example: f0f1e06e-3005-4093-af7f-1934d55617e1

  - `items.owner.lastName` (string)
    The last name of the user
    Example: Developer

  - `items.owner.organization` (object)
    The organization the user belongs to

  - `items.owner.organization.id` (integer)
    The system identifier for the organization
    Example: 8134

  - `items.owner.organization.name` (string)
    The name of the organization
    Example: Api Development Organization

  - `items.owner.organizationId` (integer)
    The system identifier for the organization
    Example: 8134

  - `items.expiry` (string)
    The expiry date of the contract. The date and time uses the ISO-8601 format and will be in the Local timezone of the organization
    Example: 2024-12-25T00:00:00

  - `items.externalId` (string)
    A unique user defined identifier that can be used to reference another system
    Example: external-01

  - `items.restricted` (boolean)
    Is the contract only available to members.

An indicator where the contract requires membership to access
    Example: false

  - `items.status` (string)
    The current status of the contract
    Enum: "Draft", "Negotiating", "Approval", "Signing", "Executed", "Expired", "Void"

  - `items.teamAssigned` (object)
    The team which this contract is assigned to

  - `items.teamAssigned.id` (integer)
    The system identifier for the team
    Example: 469

  - `items.teamAssigned.name` (string)
    The full name of the team
    Example: Legal - Commercial

  - `items.created` (object)
    The user who created the contract and when

  - `items.created.dateUtc` (string)
    The date and time the action was performed. The date and time uses the ISO-8601 format and will be in UTC
    Example: 2024-12-25T00:00:00Z

  - `items.created.user` (object)
    The user who performed the action

  - `items.created.userName` (string)
    The username of who performed the action
    Example: api.developer@lawvu.com

## Response 400 fields (application/problem+json):

  - `detail` (string)
    More information about the problem.

  - `instance` (string)
    The URI of the resource which the error relates to.

  - `operationId` (string)
    A unique trace identifier for the request. This should be provided when requesting support.

  - `status` (integer)
    The HTTP status code for the problem.

  - `title` (string)
    A short description of the error.

  - `type` (string)
    A URI which can be followed to find out more about the problem.

